POST
/api/members/{memberId}/payment-methods/reorder
const url = 'https://example.com/api/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/payment-methods/reorder';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"memberId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","merchantId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","orderedIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/members/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/payment-methods/reorder \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "memberId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orderedIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Sets the member’s fallback ranking. The biller tries methods in this order, so the first id becomes the default/primary instrument. Send the full set of the member’s method ids in the desired order.
POST /api/members/{memberId}/payment-methods/reorder
{ "orderedIds": ["...", "..."] }Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” memberId
required
string format: uuid
Request Body
Section titled “Request Body ”object
memberId
string format: uuid
merchantId
string format: uuid
orderedIds
Array<string>
Example generated
{ "memberId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orderedIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}object
memberId
string format: uuid
merchantId
string format: uuid
orderedIds
Array<string>
Example generated
{ "memberId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orderedIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}object
memberId
string format: uuid
merchantId
string format: uuid
orderedIds
Array<string>
Example generated
{ "memberId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "merchantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orderedIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}Responses
Section titled “ Responses ”Ranking updated.
The id list doesn’t exactly match the member’s methods.
Media type application/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}